import { Routes } from '@angular/router';
import { NavPcTopMenu } from '../modules/shared/nav-pc-top-menu/nav-pc-top-menu';

export const routes: Routes = [
    {
    path: '',
    component: NavPcTopMenu,
    children: [
      {
        path: 'home',
        loadComponent: () => import('../modules/pc-home/pages/page-home/page-home').then(m => m.PageHome)

      },
      {
        path: 'dynamic',
        loadComponent: () => import('../modules/pc-home/pages/page-dynamic/page-dynamic').then(m => m.PageDynamic)
      },
       {
        path: 'creation',
        loadComponent: () => import('../modules/pc-home/pages/page-co-creation/page-co-creation').then(m => m.PageCoCreation)
      },
      {
        path: 'association',
        loadComponent: () => import('../modules/pc-home/pages/page-association/page-association').then(m => m.PageAssociation)
      },
      {
        path: 'us',
        loadComponent: () => import('../modules/pc-home/pages/page-about-us/page-about-us').then(m => m.PageAboutUs)
      },
      {
        path: '',
        redirectTo: 'home',
        pathMatch: 'full'
      }
    ]
  }
];